/**Begin C:\PDM_UPGRADE\PDM1\PBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBD_CALLLOG') 
 CREATE TABLE T_PBD_CALLLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROGRAMMEID BIGINT DEFAULT 0 NOT NULL,
FLINK BIGINT DEFAULT 0 NOT NULL,
FBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FTRIGGERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCALLUSERID BIGINT DEFAULT 0 NOT NULL,
FCALLDATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBD_CALLLOG_ENTRYENTITY') 
 CREATE TABLE T_PBD_CALLLOG_ENTRYENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTANDARDAPI BIGINT DEFAULT 0 NOT NULL,
FPLATFORMAPI BIGINT DEFAULT 0 NOT NULL,
FSOURCE CHAR(1) DEFAULT ' ' NOT NULL,
FCALLTIME DATETIME,
FREQUEST VARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUEST_TAG NCLOB,
FRESULT VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULT_TAG NCLOB
);



/**End C:\PDM_UPGRADE\PDM1\PBD_table.sql **/
